### Method

# WebKit2 WebContext get_plugins

#### Declaration [src]

    void
    webkit_web_context_get_plugins (
      WebKitWebContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get the list of installed plugins.

When the operation is finished, `callback` will be called. You can then call `webkit_web_context_get_plugins_finish()` to get the result of the operation.

Deprecated since: | 2.32
Please do not use it in newly written code.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.